###########
#
#  Copyright 2002, Tom Hoffman.
#
#  This file is part of Tuttle.
#
#  Tuttle is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  Tuttle is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Tuttle (see COPYING.txt); if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##########

# Putting this together is the main task for 0.2
# When a new Tuttle add-in is added, it will register dtml code that
# will be dynamically mixed into the standard_html_header or footer.
# And other stuff.

from OFS.Folder import Folder
from Globals import DTMLFile, InitializeClass
from AccessControl import ClassSecurityInfo
from Products.ZCatalog.CatalogPathAwareness import CatalogAware

class Plugins(CatalogAware, Folder):
	"Keeps track of info about Tuttle Plugin Products"

	meta_type = "Tuttle Plugins"

	def __init__(self, id, title):
		self.id = id
		self.title = title

